Make a single request
This endpoint lets you create, update, or delete a single person or object—including managing relationships between objects and people.
An "object" is any kind of non-person entity that you want to associate with one or more people—like a company, an educational course that people signed up for, a product, etc.
Your request must be smaller than 32kb.
Add or update a person.
- actionDiscriminatorenumconst:identifyrequired
Indicates that the operation will
identifythe the item of the specifiedtype.values- identify
- identifiersrequired
The person you want to perform an action for—one of
id,email,phone, orcio_id. You cannot pass multiple identifiers. You can useemailandphoneonly if they're enabled as identifiers in your workspace settings. - typeenumconst:personrequired
The operation modifies a person in Customer.io
values- person
- attributesType: object
Attributes that you want to add or update for this person. You can pass properties that aren't defined below to set custom attributes; the defined properties are reserved in the Customer.io Track API.
- cioType: array object[]
_relationships Each object in the array represents a relationship you want to add to, or remove from, a person.
- timestampType: integer
The Unix timestamp for when the attribute update occurred. This can be used to control the order of attribute updates when multiple requests are sent in rapid succession.
- 200
A successful request returns an empty object response.
- application/json
- 401
Unauthorized request. Make sure that you provided the right credentials.
curl https://track.customer.io/api/v2/entity \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"type": "person",
"identifiers": {
"id": "42"
},
"action": "identify",
"attributes": {
"first_name": "Jane"
}
}'
A successful request returns an empty object response.